%TPACPANDREG_STARTUP initialisation of matlab/octave environment for TPACPANDREG project

%+
%
% module
% ======
%
% initialisation of matlab/octave environment for TPACPANDREG project
%
% DESCRIPTION
% ===========
%
% Detect if either octave or matlab running.
%
% Set up help Character Encoding.
% cf http://www.mathworks.com/access/helpdesk/help/toolbox/simulink/index.html?/access/helpdesk/help/toolbox/simulink/slref/slcharacterencoding.html&http://www.google.fr/search?q=slCharacterEncoding&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a
%
% This file can be either run classicaly when currect directory
% is ${TPACPANDREG} :
%
% ..
%
%  >> tpacpandreg_startup
%
%
% If linked or copy to ./startup.m, it will be automaticaly
% run by matlab at start.
%
% If linked or copy to ${HOME}/.octaverc, it will be automaticaly
% run by octave at start.
%
% SEE ALSO
% ========
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% - fplod 2009-08-25T10:36:26Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * suppression de ``more on`` (parce que pas pratique pour les étudiants)
%
% - fplod 2009-08-21T10:37:54Z aedon.locean-ipsl.upmc.fr (Darwin)
% 
%   * creation
%
% TODO
% ====
%
% Define :
%  - path for matlab/octave commands used in TPACPANDREG project
%  - IO directories in global variables
%
% check if set_param(0,'CharacterEncoding','ISO-8859-1') is a better solution
% than slCharacterEncoding('ISO-8859-1')
%
%-
%
clear all
%
% detect if either octave or matlab running
if ~ exist('OCTAVE_VERSION','builtin')
 run_octave=0;
else
 run_octave=1;
end
%
if (run_octave == 0)
 % to display help written in ISO-LATIN
 slCharacterEncoding('ISO-8859-1');
end
%
